Topics

Murmur/mumble update on RSS


Thomas Tumino
 

Can someone help a newbie with instructions on how to update the VoIP software on the RSS with step by step instructions?

Are there good reasons to update it?

73 & thanks yet again,
Tom, N2YTF 


Howard Nurse, W6HN
 

Hi Tom,

I am using the new (version 3.0) Mumble while I Test Raspbian Buster and the Raspberry Pi 4.  It looks much nicer, but I haven’t noticed any other differences in the limited testing I’ve done.  You may be able to update using sudo apt-get install mumble from Terminal, but I compiled it which is more complicated.  Be sure to back up your card first!

—Howard


tmeys@...
 

Have recently upgraded to Mumble 1.3 on devices I use to communicate with RigPi.  Tried the suggestion in this post (after making a backup), and had the following result:

pi@rigpi:~ $ sudo apt-get install mumble
Reading package lists... Done
Building dependency tree
Reading state information... Done
mumble is already the newest version (1.2.18-1+deb9u1).
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.

So it looks like the apt-get package has not been updated to 1.3. Had no problems with the 1.3 upgrade on Windows or OS X.  Those clients work the same with RigPi, but have a cleaner interface and the minimize button works, which is a big plus.

'73 - AE0AU


Howard Nurse, W6HN
 

As you have found, the new Mumble version 1.3 is not yet available through the apt-get process.  You can find instructions for compiling on a Raspberry Pi using Google.

--Howard


Jeffj51@...
 

Howard, Will these updates be installed with the next RSS release? This should be an automatic update from MFJ support shouldn’t it?


Howard Nurse, W6HN
 

Hi Jeff,

Only RigPi files are currently updated.  The 3rd party programs and operating system must be updated manually.  A way to update all programs is on our list for the future.

—Howard